﻿/**Begin D:\PDM_UPGRADE\PDM1\PMAS_base_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APPROVAL_AMTMODIFY') 
 CREATE TABLE T_PMAS_APPROVAL_AMTMODIFY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FKINDID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBUDGETCONTROLMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSPLITTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FMODIFYBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FMODIFYNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FPROJECTBUGAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROOUTBUDGETSUMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERPROAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAFTERPROYEARAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROYEARBUDGETAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROJECTAPPLYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APPROVAL_AMTMODIFY_L') 
 CREATE TABLE T_PMAS_APPROVAL_AMTMODIFY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMODIFYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_AP_MOD_FUNDENTRY') 
 CREATE TABLE T_PMAS_AP_MOD_FUNDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFUNDSOURCETYPEID BIGINT DEFAULT 0 NOT NULL,
FFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFUNDFORMOFINVEST NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FFUNDSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFUNDSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFUNDOLDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APM_CTRLINFOENTRY') 
 CREATE TABLE T_PMAS_APM_CTRLINFOENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNDERTAKEORGLD BIGINT DEFAULT 0 NOT NULL,
FUNDERTAKEPERIOD DATETIME,
FUNDERTAKERATIO DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FENTRYPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FENTRYPROID BIGINT DEFAULT 0 NOT NULL,
FCONTROLINFOCOMMON VARCHAR(510) DEFAULT ' ' NOT NULL,
FCTRLOUTITEMNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FAFTERUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLOUTITEMID BIGINT DEFAULT 0 NOT NULL,
FDIFFERUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISENTRYADD CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_APM_REALENTRY') 
 CREATE TABLE T_PMAS_APM_REALENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREALPROBUDGETNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FREALBUDGETITEMID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEORGID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEPERIOD DATETIME,
FREALPRONAME VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPRONUMBER VARCHAR(510) DEFAULT ' ' NOT NULL,
FREALPROID BIGINT DEFAULT 0 NOT NULL,
FREALUNDERTAKEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FUSEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALDIFFERENCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALBEFOREAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMAS_AP_MOD_FUNDENTRY_L') 
 CREATE TABLE T_PMAS_AP_MOD_FUNDENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\PMAS_base_table.sql **/
